Bug 3195 - Connection statusbar widget source should be open
: Connection statusbar widget source should be open
Status: NEW
Product: Licensing Change Requests
General
: 5.0-beta
: All Maemo
: Unspecified enhancement with 10 votes (vote)
: ---
Assigned To: Quim Gil
: licensing-requests
:
:
:
:
  Show dependency tree
 
Reported: 2008-05-28 17:40 UTC by Ryan Abel
Modified: 2012-03-21 18:07 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Abel (reporter) maemo.org 2008-05-28 17:40:04 UTC
I'm requesting that the source to the Connection statusbar applet be opened, as
it would help community projects (like this one
https://garage.maemo.org/projects/advconnection/
http://www.internettablettalk.com/forums/showthread.php?p=148283) implement
more feature-rich, customizable, and useful community versions of the Nokia
applet, thus increasing overall platform appeal and usefulness, and customer
satisfaction, and reducing the pressure on Nokia to implement things like bug
#708.

User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US)
AppleWebKit/523 (KHTML, like Gecko, Safari/523.10) OmniWeb/v621.0.99313
Comment 1 Andre Klapper maemo.org 2008-06-06 12:59:43 UTC
also see https://bugs.maemo.org/show_bug.cgi?id=1584#c7
Comment 2 Andre Klapper maemo.org 2008-10-07 17:46:35 UTC
Also see http://wiki.maemo.org/Why_the_closed_packages where this is now listed
centralized.

(Removing deprecated "Future" Target Milestone.)
Comment 3 Andre Klapper maemo.org 2009-05-06 15:14:54 UTC
"The whole Connectivity framework is having major changes in Fremantle and
Harmattan, and the resould could be a much open framework altogether (applet
included). Too soon to tell."

Are there any news or is it still too soon to tell?

And what is the exact name of the package that we talk about here?
Comment 4 Quim Gil nokia 2009-05-06 15:36:30 UTC
(In reply to comment #3)
> Are there any news or is it still too soon to tell?

Too soon still. Perhaps more in 'weeks' than in 'months', though.


> And what is the exact name of the package that we talk about here?

We are talking about the connectivity UI in general.
Comment 5 Andre Klapper maemo.org 2009-09-18 23:16:47 UTC
(Splitting product "Home applets" into "Desktop widgets" and "Statusbar
widgets".
Sorry for the bugmail noise. You can filter by searching for this comment.)
Comment 6 Andre Klapper maemo.org 2010-02-16 19:54:36 UTC
(Moving all Licensing Change Requests to a separate Product in Bugzilla.
Sorry for the bugmail noise)

Ryan: What is the exact name of this package?
Comment 7 Carsten Munk maemo.org 2010-02-18 16:48:21 UTC
Temporarily setting this to priority unspecified while it gets evaluated.
Comment 8 Carsten Munk maemo.org 2010-02-19 10:16:12 UTC
Ryan, does this bug still make sense?

If so, could I ask you to fill in the form at
http://wiki.maemo.org/Open_development/Licensing_change_requests and comment it
to this bug report? I figured if I wrote it myself my evaluation would be
rather biased.
Comment 9 Quim Gil nokia 2010-08-17 01:53:09 UTC
I believe this is the component offering this functionality in MeeGo:
http://meego.gitorious.org/meego-handset-ux/meego-handset-statusindicators/trees/master/Connectivity

When I discussed with the Connectivity developers about this they told me that
opening was not simple since this UI interacted with several components that
are not open either, and the architecture was not so cleanly divided.

In MeeGo the responsibilities between ConnMan, the applet UI and the components
talking to wlan, BT, etc are clearly divided and all the components are open.

I will not ping the Connectivity guys again about this, unless there is a clear
interest having this component open in Maemo 5 for a specific project.
Comment 10 Andre Klapper maemo.org 2012-03-21 18:07:11 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia, hence resetting the ASSIGNED
status to NEW/UNCONFIRMED as nobody is working on this.

Note that very likely any feature requests for Maemo5 will not receive fixes
(WONTFIX) - I might mass-set this status in the future. There is a very small
chance for issues in open source components that contributed patches could be
included in the Maemo 5 CSSU Community updates - see http://wiki.maemo.org/CSSU
for more information.


For completeness (as Harmattan is mentioned in some reports), MeeGo 1.2
Harmattan used for the N9 and N950 is handled in
http://harmattan-bugs.nokia.com/ which has recently been closed for new bug
report entry [1].

[1]
http://www.developer.nokia.com/Community/Blogs/blog/n9-developer/2012/03/08/harmattan-bugzilla-closed-for-new-bugs